OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXCAFSchema
XCAFSchema

# XCAFSchema_gp_Ax1 Class Reference

`#include <XCAFSchema_gp_Ax1.hxx>`

## Static Public Member Functions
static Standard_EXPORT void | SAdd (const gp_Ax1 &, const Handle(Storage_Schema)&aSchema)
static Standard_EXPORT void | SWrite (const gp_Ax1 &, Storage_BaseDriver &aDriver, const Handle(Storage_Schema)&aSchema)
static Standard_EXPORT void | SRead (gp_Ax1 &, Storage_BaseDriver &aDriver, const Handle(Storage_Schema)&aSchema)

## Member Function Documentation

static Standard_EXPORT void XCAFSchema_gp_Ax1::SAdd | ( | const gp_Ax1 & | ,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

static Standard_EXPORT void XCAFSchema_gp_Ax1::SRead | ( | gp_Ax1 & | ,
|  | Storage_BaseDriver & | aDriver,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

static Standard_EXPORT void XCAFSchema_gp_Ax1::SWrite | ( | const gp_Ax1 & | ,
|  | Storage_BaseDriver & | aDriver,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

The documentation for this class was generated from the following file:

- XCAFSchema_gp_Ax1.hxx